Package org.eclipse.mat.snapshot

## Class DominatorsSummary.ClassDominatorRecord

- java.lang.Object
- - org.eclipse.mat.snapshot.DominatorsSummary.ClassDominatorRecord

Enclosing class:
  DominatorsSummary

    public static class DominatorsSummary.ClassDominatorRecord
    extends Object

A record containing information for objects of one class dominating a set of other objects

### Constructor Summary

Constructors
`ClassDominatorRecord()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDominated​(int objectId)` Add a dominated object to the record
`void` `addDominatedNetSize​(long size)` Increase the dominated net heap size
`boolean` `addDominator​(int objectId)` Add a dominator to the record
`void` `addDominatorNetSize​(long size)` Increase the dominators total size
`int` `getClassId()`
`int` `getClassloaderId()` get the id of the classloader of the dominators' class
`String` `getClassName()` Get the name of the class for this record
`int[]` `getDominated()` Get the dominated objects
`int` `getDominatedCount()` Get the number of dominated objects
`long` `getDominatedNetSize()` Get the total net size of the dominated objects
`long` `getDominatedRetainedSize()` Get the total retained heap size of the dominated objects
`int` `getDominatorCount()` Get the number of dominators
`long` `getDominatorNetSize()` Get the total net size of the dominators
`long` `getDominatorRetainedSize()` Get the retained heap size of the dominators
`int[]` `getDominators()` Get the dominator objects
`DominatorsSummary` `getSummary()` Get the DominatorsSummary to which this record belongs.
`void` `setClassId​(int classId)`
`void` `setClassloaderId​(int classloaderId)` set the id of the classloader of the dominators
`void` `setClassName​(String className)` Set the name of the class of this record
`void` `setDominatedRetainedSize​(long dominatedRetainedSize)` Set the retained heap size of the dominated objects
`void` `setDominatorRetainedSize​(long dominatorRetainedSize)` Set the retained heap size of the dominators

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassDominatorRecord

    public ClassDominatorRecord()

### Method Detail

#### getClassName

    public String getClassName()

Get the name of the class for this record

#### setClassName

    public void setClassName​(String className)

Set the name of the class of this record

Parameters:
  `className` -

#### getClassId

    public int getClassId()

#### setClassId

    public void setClassId​(int classId)

#### getDominatedNetSize

    public long getDominatedNetSize()

Get the total net size of the dominated objects

#### getDominatorNetSize

    public long getDominatorNetSize()

Get the total net size of the dominators

#### getDominatedRetainedSize

    public long getDominatedRetainedSize()

Get the total retained heap size of the dominated objects

#### setDominatedRetainedSize

    public void setDominatedRetainedSize​(long dominatedRetainedSize)

Set the retained heap size of the dominated objects

#### getDominatorRetainedSize

    public long getDominatorRetainedSize()

Get the retained heap size of the dominators

#### setDominatorRetainedSize

    public void setDominatorRetainedSize​(long dominatorRetainedSize)

Set the retained heap size of the dominators

#### getDominatedCount

    public int getDominatedCount()

Get the number of dominated objects

#### getDominatorCount

    public int getDominatorCount()

Get the number of dominators

Returns:
  the number of dominators

#### getClassloaderId

    public int getClassloaderId()

get the id of the classloader of the dominators' class

#### setClassloaderId

    public void setClassloaderId​(int classloaderId)

set the id of the classloader of the dominators

Parameters:
  `classloaderId` -

#### addDominated

    public boolean addDominated​(int objectId)

Add a dominated object to the record

Parameters:
  `objectId` -

#### addDominator

    public boolean addDominator​(int objectId)

Add a dominator to the record

#### addDominatedNetSize

    public void addDominatedNetSize​(long size)

Increase the dominated net heap size

#### addDominatorNetSize

    public void addDominatorNetSize​(long size)

Increase the dominators total size

#### getDominated

    public int[] getDominated()

Get the dominated objects

Returns:
  int[] - an array with the ids of all dominated objects

#### getDominators

    public int[] getDominators()

Get the dominator objects

Returns:
  int[] - an array with the ids of the dominators

#### getSummary

    public DominatorsSummary getSummary()

Get the DominatorsSummary to which this record belongs.

Returns:
  this records's DominatorsSummery